﻿using System;
using GrapeCity.Documents.Pdf;
using System.IO;
using GrapeCity.Documents.Imaging;
using GrapeCity.Documents.Drawing;
using System.Drawing;
using GrapeCity.Documents.Text;
using GrapeCity.Documents.Common;

namespace prj_GcPdf_PDFToImage
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Render a PDF to Image");

            GcPdfDocument doc = new GcPdfDocument();
            var fs = new FileStream(Path.Combine("Resources", "MonthlyProjectExpenseTracking.pdf"),FileMode.Open,FileAccess.Read);
            doc.Load(fs,null);

            //Render page content
            var page = doc.Pages[1];
            var sz = page.Bounds;
            GcBitmap bmp = new GcBitmap((int)(sz.Width + 0.5f), (int)(sz.Height + 0.5f), true);
            
            using (GcGraphics gr = bmp.CreateGraphics(Color.White ))
            {
              page.Draw(gr, new RectangleF(0, 0, sz.Width,sz.Height));
            }
            bmp.SaveAsJpeg("WholePage.jpg");

            //Render the document as image
            doc.SaveAsJpeg("WholeDocument_{0}.jpg");
            doc.SaveAsGif("WholeDocument_{0}.gif");
            doc.SaveAsBmp("WholeDocument_{0}.bmp");
            doc.SaveAsPng("WholeDocument_{0}.png");
            doc.SaveAsTiff("WholeDocument.tiff");

            //Render a page as an image
            var page1 = doc.Pages.Last; 
            page1.SaveAsJpeg("Page.jpg");
            page1.SaveAsGif("Page.gif");
            page1.SaveAsBmp("Page.bmp");
            page1.SaveAsPng("Page.png");
            page1.SaveAsTiff("Page.tiff");

            Console.WriteLine("Press any key to exit.");
            Console.ReadKey();
        }
    }
}
